Package org.eclipse.compare.internal

# Class ComparePreferenceInitializer

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
org.eclipse.compare.internal.ComparePreferenceInitializer

public class ComparePreferenceInitializer extends AbstractPreferenceInitializer

## Constructor Summary

Constructors
Constructor
Description
`ComparePreferenceInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeDefaultPreferences()`
This method is called by the preference initializer to initialize default preference values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComparePreferenceInitializer

public ComparePreferenceInitializer()

## Method Details

### initializeDefaultPreferences

public void initializeDefaultPreferences()
Description copied from class: `AbstractPreferenceInitializer`
This method is called by the preference initializer to initialize default preference values. Clients should get the correct node for their bundle and then set the default values on it. For example:

     public void initializeDefaultPreferences() {
            Preferences node = DefaultScope.INSTANCE.getNode("my.bundle.id");
            node.put(key, value);
     }

Note: Clients should only set default preference values for their own bundle.

Note: Clients should not call this method. It will be called automatically by the preference initializer when the appropriate default preference node is accessed.

Specified by:
  `initializeDefaultPreferences` in class `AbstractPreferenceInitializer`